@echo off

set filename=tgitest
set comfilename=tgitest.com

set workdrv=D:
set workdir=%workdrv%\RetroComputing\dev\Atari_C\tgitest2
set files=%filename%.c

set cc65bin=D:\RetroComputing\dev\cc65\bin

rem compile and link
echo compiling...
%workdrv%
cd %workdir%
rem %cc65bin%\cl65 -O -t atarixl --start-addr 0x4000 %files%
rem %cc65bin%\cl65 -t atari -Wl -D__RESERVED_MEMORY__=0x2000 -o tgid.obj tgidemo.c
rem %cc65bin%\cl65 -t atari -Wl -D__RESERVED_MEMORY__=0x2000 %files%
%cc65bin%\cl65 --target atari --ld-args -D,__RESERVED_MEMORY__=15339 -o %comfilename% %files%

echo finished compiling.

rem move to disk directory
move /Y %comfilename% %workdir%\disk

rem create ATR file
D:\RetroComputing\Atari\tools\dir2atr -S -b Dos25 %filename%.atr %workdir%\disk

pause
